classdef testClass1 < handle
    %TESTCLASS1 Summary of this class goes here
    %   Detailed explanation goes here
    
    properties
        Property1
    end
    
    methods
        function obj = testClass1(varargin)
            % Construct an instance of this class
            % If called as standalone class pass arguments to init method
            if nargin > 0
                mlsInit(obj,varargin{:})
            end            
        end
        
        function mlsInit(obj,varargin)
            % load from dumped obj
            
            if  strcmp(varargin{1},'load') &&  (nargin == 3)
                obj.Property1 = in.Property1;
                % load
            else
                obj.Property1 = varargin{1} + varargin{2};
            end
        end
        
        function outputArg = method1(obj,inputArg)
            %METHOD1 Summary of this method goes here
            %   testDetailed explanation goes here
            outputArg = obj.Property1 + inputArg;
        end
        
        function dumpFromSlave(obj)
            assignin('base','obj_slave',obj)
        end
    end
end

